Packaging for Debian and Ubuntu

Bug #808748 reported by mariodebian on 2011-07-11
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Syncany
New
Undecided
Unassigned

Bug Description

I have packaged syncany and nautilus-syncany from bzr trunk

Get the debian dir at this URL: http://max.educa.madrid.org:8000/max60/pool/main/s/syncany/syncany_0.1-0max2.debian.tar.gz or attached

Need ant >= 1.8 (in Ubuntu Lucid 10.04, ant don't build with a regexp error)

mariodebian (mariodebian) wrote :
Alin Andrei (nilarimogard) wrote :

By the way, when will Syncany get an official PPA?

Hi Mario,

first of: thanks for Debianizing the project. I saw that you put a lot of
work in the debian/ folder [1]. Is there any chance we could put that in the
actual code base? Can you make it work with the "newsync" branch [2]?

@Andrew: when we're ready :-D

Cheers,
Philipp

[1]
https://launchpad.net/~mariodebian/+archive/syncany/+files/syncany_0.1-0lucid3.debian.tar.gz
[2] https://code.launchpad.net/~binwiederhier/syncany/newsync

On Mon, Jul 11, 2011 at 3:33 PM, Alin Andrei <email address hidden>wrote:

> By the way, when will Syncany get an official PPA?
>
> --
> You received this bug notification because you are subscribed to
> Syncany.
> https://bugs.launchpad.net/bugs/808748
>
> Title:
> Packaging for Debian and Ubuntu
>
> Status in Syncany:
> New
>
> Bug description:
> I have packaged syncany and nautilus-syncany from bzr trunk
>
> Get the debian dir at this URL:
>
> http://max.educa.madrid.org:8000/max60/pool/main/s/syncany/syncany_0.1-0max2.debian.tar.gz
> or attached
>
> Need ant >= 1.8 (in Ubuntu Lucid 10.04, ant don't build with a regexp
> error)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/syncany/+bug/808748/+subscriptions
>

abondendAccount (hennr) wrote :

Please also note that maven support is on it's way in the newsync branch.

I wonder when it will get merged ;)

Hi there

As a matter of fact we will probably be using Ivy as packaging tool. Maven
has been really painful.

Regarding the merge ... We will push something in a new branch hopefully by
the end of the year ... Maybe earlier. I will have to ask the guys about
that...

Cheers
Philipp

--
Sent from my cell phone
 On Nov 21, 2011 11:05 AM, "hennr" <email address hidden> wrote:

The Ha (tha-q) wrote :

Hi Philipp

> As a matter of fact we will probably be using Ivy as packaging tool. Maven
> has been really painful.
>
> Regarding the merge ... We will push something in a new branch hopefully by
> the end of the year ... Maybe earlier. I will have to ask the guys about
> that...
That is really good news. We beta both iFolder and SpakleShare to evaluate
which one will fit our environment. So far, we narrow down to SpakleShare
due to the fact that it uses Git and have ALL OS clients working..

Syncany support NFS and RackSpace is a big plus. We can make use of
native snapshot for users to restore files.

On the Syncany Server end, CLI/Daemon service are good enough.
As a matter of facts, all of our services run on Sun Solaris without GUI
setup. We build them from source.
So, during the packaging, if you can document the requirement and detail
the process as much as possible, then we can try to build on Solaris 10.

Best Regards
The Ha
IT Manager
Mathematics UBC

Great work

Thanks
The Ha

>
> Cheers
> Philipp
>
> --
> Sent from my cell phone
> On Nov 21, 2011 11:05 AM, "hennr" <email address hidden> wrote:
>
> --
> You received this bug notification because you are a member of Syncany
> Team, which is subscribed to Syncany.
> https://bugs.launchpad.net/bugs/808748
>
> Title:
> Packaging for Debian and Ubuntu
>
> Status in Syncany:
> New
>
> Bug description:
> I have packaged syncany and nautilus-syncany from bzr trunk
>
> Get the debian dir at this URL:
> http://max.educa.madrid.org:8000/max60/pool/main/s/syncany/syncany_0.1-0max2.debian.tar.gz
> or attached
>
> Need ant >= 1.8 (in Ubuntu Lucid 10.04, ant don't build with a regexp
> error)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/syncany/+bug/808748/+subscriptions
>
> --
> Mailing list: https://launchpad.net/~syncany-team
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~syncany-team
> More help : https://help.launchpad.net/ListHelp
>

Alternate Email <email address hidden>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers